<?php

    // configuration
    require_once(dirname(__FILE__) . "/config.php");

    // remember which user, if any, logged in
    $user = CS50::getUser(STATE, RETURN_TO);
    if ($user !== false)
    {
        // remember user's mail
        $_SESSION["mail"] = $user["mail"];

        // remember user's displayName, if any
        if (isset($user["displayName"]))
            $_SESSION["displayName"] = $user["displayName"];
    }

    // redirect user to index.php
    $protocol = (isset($_SERVER["HTTPS"])) ? "https" : "http";
    $host  = $_SERVER["HTTP_HOST"];
    $path = rtrim(dirname($_SERVER["PHP_SELF"]), "/\\");
    header("Location: {$protocol}://{$host}{$path}/index.php");

?>
